import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '用户组ID',
    dataIndex: 'USERGROUP_CODE',
    width: 50,
  },
  {
    title: '用户组名称',
    dataIndex: 'USERGROUP_DESC',
    width: 160,
    align: 'left',
  },
  // {
  //   title: '状态',
  //   dataIndex: 'status',
  //   width: 80,
  //   customRender: ({ record }) => {
  //     const status = record.status;
  //     const enable = ~~status === 0;
  //     const color = enable ? 'green' : 'red';
  //     const text = enable ? '启用' : '停用';
  //     return h(Tag, { color: color }, () => text);
  //   },
  // },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'USERGROUP_CODE',
    label: '用户组ID',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'USERGROUP_DESC',
    label: '用户组名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  // {
  //   field: 'status',
  //   label: '状态',
  //   component: 'Select',
  //   componentProps: {
  //     options: [
  //       { label: '启用', value: '0' },
  //       { label: '停用', value: '1' },
  //     ],
  //   },
  //   colProps: { span: 8 },
  // },
];

export const formSchema: FormSchema[] = [
  {
    field: 'USERGROUP_DESC',
    label: '用户组名称',
    component: 'Input',
    required: true,
  },
  {
    field: 'USERGROUP_CODE',
    label: '用户组ID',
    component: 'Input',
    required: true,
  },
  {
    label: '用户组类型',
    field: 'USERGROUP_TYPE',
    component: 'Input',
  },
  {
    label: '用户组ID',
    field: 'ID',
    component: 'Input',
    show: false,
  },
];
